реклама на сайте
подробности

 
 
 
Reply to this topicStart new topic
> Quartus на Linux
Кузнец
сообщение Sep 12 2016, 14:12
Сообщение #1


Участник
*

Группа: Участник
Сообщений: 16
Регистрация: 1-12-14
Пользователь №: 83 915



Вот давно уже хотел перейти полностью на линукс, но держат пока некоторые программки, одна из них quartus, не получилось у меня банально поставить/взломать и получить удовольствие от работы квартуса, а ковыряния пока ни к чему не привели, в квартусе не мог запустить qsys, вообщем печально, но с пути не сойду. Сейчас поставил ubuntu 16, начну с нового листа поэтому давайте делиться опытом, кто запускал, какой квартус и на каком линуксе, что посоветуйте сейчас ставить на ubuntu 16 из версий квартуса, из тех что можно взломать?
Go to the top of the page
 
+Quote Post
vadimuzzz
сообщение Sep 12 2016, 14:34
Сообщение #2


Гуру
******

Группа: Свой
Сообщений: 2 291
Регистрация: 21-07-05
Пользователь №: 6 988



Нет там никаких проблем. Если есть сложности с запуском на конкретном дистрибутиве, берите бесплатную версию и на ней тренируйтесь. Там вполне внятно пишется, если чего в системе не хватает. Что касается защиты, то она не проблема с мохнатых времен и до последней версии, но для данного раздела это оффтоп
Go to the top of the page
 
+Quote Post
Stewart Little
сообщение Sep 12 2016, 15:03
Сообщение #3


Лентяй
******

Группа: Свой
Сообщений: 2 143
Регистрация: 11-10-04
Из: Санкт-Петербург
Пользователь №: 843



Сейчас использую квартус v16.0 под CentOS 6.7.
Работает все - и Qsys, и NiosII SBT, и DS-5.
После инсталляции могут не запускаться некоторые приложения (тот же Qsys) - это лечится доустановкой необходимых библиотек через yum.


--------------------
Чтобы слова не расходились с делом, нужно молчать и ничего не делать...
Go to the top of the page
 
+Quote Post
des00
сообщение Sep 12 2016, 17:01
Сообщение #4


Вечный ламер
******

Группа: Модераторы
Сообщений: 7 222
Регистрация: 18-03-05
Из: Томск
Пользователь №: 3 453



Цитата(vadimuzzz @ Sep 12 2016, 21:34) *
Что касается защиты, то она не проблема с мохнатых времен и до последней версии, но для данного раздела это оффтоп

Напоминаю про правило форума 3.1. Модератор


--------------------
Go to the top of the page
 
+Quote Post
BackEnd
сообщение Sep 12 2016, 19:04
Сообщение #5


Местный
***

Группа: Участник
Сообщений: 201
Регистрация: 28-07-16
Пользователь №: 92 747



Цитата(Кузнец @ Sep 12 2016, 14:12) *
в квартусе не мог запустить qsys

Бывет.

Цитата(Кузнец @ Sep 12 2016, 14:12) *
но с пути не сойду

Правильный настрой. Результат стоит некоторых усилий, если таковые вдруг потребуются.

Пользуйтесь бесплатными версиями, для большинства задач их более чем достаточно. По версиям САПР вам виднее, что нужно.
Задавайте вопросы, если какие проблемы с установкой возникнут. Про Linux с удовольствием расскажу все, что сам знаю.

Сообщение отредактировал BackEnd - Sep 12 2016, 19:05


--------------------
"Классики марксизма говорили, что общественно-экономическая формация меняется с изменением средств производства, которые всегда принадлежали имущему классу.
И сейчас мы находимся в системе координат капитализма, когда самые передовые средства производства принадлежат уже не капиталистам.
Люди, у которых нет обуви, имеют гаджеты. Сейчас создана такая информационная паутина, что вместо коллективного бессознательного можно говорить о коллективном сознании.
Если иметь мозги и гаджеты, можно перевернуть весь мир. Коллективное сознание будет управлять миром! Это исторический путь, который нельзя миновать."
Вячеслав Мальцев
Go to the top of the page
 
+Quote Post
Кузнец
сообщение Sep 13 2016, 15:53
Сообщение #6


Участник
*

Группа: Участник
Сообщений: 16
Регистрация: 1-12-14
Пользователь №: 83 915



Цитата(Stewart Little @ Sep 12 2016, 16:03) *
Сейчас использую квартус v16.0 под CentOS 6.7.
Работает все - и Qsys, и NiosII SBT, и DS-5.
После инсталляции могут не запускаться некоторые приложения (тот же Qsys) - это лечится доустановкой необходимых библиотек через yum.

Спасибо, поищу чего не хватает для запуска qsys, попробую поставить 16-й квартус

Сообщение отредактировал Кузнец - Sep 13 2016, 15:55
Go to the top of the page
 
+Quote Post
Кузнец
сообщение Sep 13 2016, 18:47
Сообщение #7


Участник
*

Группа: Участник
Сообщений: 16
Регистрация: 1-12-14
Пользователь №: 83 915



Цитата(BackEnd @ Sep 12 2016, 19:04) *
Бывет.


Правильный настрой. Результат стоит некоторых усилий, если таковые вдруг потребуются.

Пользуйтесь бесплатными версиями, для большинства задач их более чем достаточно. По версиям САПР вам виднее, что нужно.
Задавайте вопросы, если какие проблемы с установкой возникнут. Про Linux с удовольствием расскажу все, что сам знаю.


Устанавливаю на ubuntu 16 Quartus Prime 15.1. По инструкции от альтеры(https://www.altera.com/content/dam/altera-www/global/en_US/pdfs/literature/manual/quartus_install.pdf) необходимы доп библиотеки

The following RPM packages are required to run the Altera Complete Design Suite (ACDS) on
systems running Red Hat Linux Enterprise 5 and 6:
• X Window libraries: libX11.i686, libXau.i686, libXdmcp.i686, libXext.i686, libXft-devel.i686,
libXft.i686, libXrender.i686, libXt.i686, and libXtst.i686.
• GIMP toolkit: GTK+2.
• For more information about RPM packages, visit the Red Hat website.

- библиотеки для Red Hat, нужны ли подобные для ubuntu, если нужны, то какие именно? Где искать?
Go to the top of the page
 
+Quote Post
BackEnd
сообщение Sep 13 2016, 19:34
Сообщение #8


Местный
***

Группа: Участник
Сообщений: 201
Регистрация: 28-07-16
Пользователь №: 92 747



Цитата(Кузнец @ Sep 13 2016, 18:47) *
- библиотеки для Red Hat, нужны ли подобные для ubuntu, если нужны, то какие именно? Где искать?

1. Нужны, названия могут быть немного другие.
2. Эти пакеты скорее всего уже установлены.
3. Если какие-то пакеты не установлены, то их можно установить вручную через GUI-оболочку Synaptic Package Manager, пользуясь поиском CTRL+F.
4. Если Synaptic Package Manager не установлен, установить: sudo apt-get install synaptic
5. Или без установки Synaptic вывести список установленных пакетов в терминале командой: dpkg --list
6. Вывод в файл в пользовательскую директорию: dpkg --list > file.txt
7. Вывести пакеты начинающиеся с libx11: dpkg --list 'libx11*'


--------------------
"Классики марксизма говорили, что общественно-экономическая формация меняется с изменением средств производства, которые всегда принадлежали имущему классу.
И сейчас мы находимся в системе координат капитализма, когда самые передовые средства производства принадлежат уже не капиталистам.
Люди, у которых нет обуви, имеют гаджеты. Сейчас создана такая информационная паутина, что вместо коллективного бессознательного можно говорить о коллективном сознании.
Если иметь мозги и гаджеты, можно перевернуть весь мир. Коллективное сознание будет управлять миром! Это исторический путь, который нельзя миновать."
Вячеслав Мальцев
Go to the top of the page
 
+Quote Post
wolfman
сообщение Sep 13 2016, 20:15
Сообщение #9


Знающий
****

Группа: Свой
Сообщений: 501
Регистрация: 15-06-05
Из: Питер
Пользователь №: 6 032



Запускайте из консоли, там сразу будет указано каких библиотек не хватает.

Сейчас работаю на openSUSE 42.1, до этого пробовал Mint, ALTLinux.


--------------------
Россия это даже не страна.
Россия это секрет, завернутый в загадку и укрытый не проницаемой тайной...
Go to the top of the page
 
+Quote Post
Juzujka
сообщение Sep 20 2016, 09:34
Сообщение #10


Участник
*

Группа: Участник
Сообщений: 62
Регистрация: 3-04-09
Из: Москва, Киров
Пользователь №: 47 125



Цитата(Кузнец @ Sep 13 2016, 21:47) *
Устанавливаю на ubuntu 16 Quartus Prime 15.1. По инструкции от альтеры(https://www.altera.com/content/dam/altera-www/global/en_US/pdfs/literature/manual/quartus_install.pdf) необходимы доп библиотеки

The following RPM packages are required to run the Altera Complete Design Suite (ACDS) on
systems running Red Hat Linux Enterprise 5 and 6:
• X Window libraries: libX11.i686, libXau.i686, libXdmcp.i686, libXext.i686, libXft-devel.i686,
libXft.i686, libXrender.i686, libXt.i686, and libXtst.i686.
• GIMP toolkit: GTK+2.
• For more information about RPM packages, visit the Red Hat website.

- библиотеки для Red Hat, нужны ли подобные для ubuntu, если нужны, то какие именно? Где искать?


Или так:
1) Открываете терминал, например, нажатием Ctrl+Alt+T
2) Вводите sudo apt-get install ...
вместо ... - то, чего не хватает : libX11.i686, libXau.i686, libXdmcp.i686, libXext.i686, libXft-devel.i686,
libXft.i686, libXrender.i686, libXt.i686, and libXtst.i686
<Enter>
3) Соглашаетесь ("y", <Enter>)
Затем нужно повторно запустить установщик Quartus

Если что-то почему-то не запустилось, а почему - не понятно, то запускайте в терминале. Он выдаст дополнительную информацию.

Терминалом следует забраться в папку с исполняемым файлом Квартуса. У меня это /opt/altera/15.1/quartus/bin
QSys - в папке /opt/altera/15.1/quartus/sopc_builder/bin , файл qsys-edit

Сам пользуюсь Ubuntu 14.04.
Go to the top of the page
 
+Quote Post
AVR
сообщение Sep 20 2016, 13:02
Сообщение #11


фанат Linux'а
*****

Группа: Свой
Сообщений: 1 123
Регистрация: 23-10-05
Из: SPB.RU
Пользователь №: 10 008



Ubuntu 14.04.5 64-bit + Quartus 15 = абсолютно ноль проблем, работает всё. Но обращаю внимание, что все среды разработки для ПЛИС что есть для Linux нацелены на RH-совместимые дистры, такие как оригинал или CentOs. Поэтому всё же некоторые действия, которые несложно нагуглить, принимать всё же нужно. Возникает проблема - смотрим в консоль - гугление/яндексение - решаем проблему.


--------------------
Go to the top of the page
 
+Quote Post
Ethereal
сообщение Dec 6 2017, 10:22
Сообщение #12


Частый гость
**

Группа: Свой
Сообщений: 114
Регистрация: 7-05-08
Из: РФ, Москва
Пользователь №: 37 354



Добрый день. Поставил под убунту 16.04 LTS Altera Standalone Programmer. Поставил две версии - 16.1 и 15.1. Настроил jtagd по многочисленным мануалам в сети.

jtagconfig работает нормально.
CODE

/opt/altera/intelFPGA/16.1/qprogrammer/bin/jtagconfig
1) USB-Blaster [1-7.3]
0100A0DD EPC(16|4|8|E16|E4|E8)


При запуске pgmt программа валится с ошибкой
CODE

/opt/altera/intelFPGA/16.1/qprogrammer/bin/qpgmt

*** Fatal Error: Illegal Instruction
Module: qpgmt
Stack Trace:
0xca9d8: std::vector<DEV_PART_DESC*, std::allocator<DEV_PART_DESC*> >::_M_fill_insert(__gnu_cxx::__normal_iterator<DEV_PART_DESC**, std::vector<DEV_PART_DESC*, std::allocator<DEV_PART_DESC*> > >, unsigned long, DEV_PART_DESC* const&) + 0x148 (ddb_dev)
0xf08a2: DEV_FAMILY_INFO_MGR_BODY::DEV_FAMILY_INFO_MGR_BODY() + 0x1e2 (ddb_dev)
0xca3d1: DEV_FAMILY_INFO_MGR_BODY::get_instance() + 0x21 (ddb_dev)
0xbb319: DEV_FAMILY_MANAGER::DEV_FAMILY_MANAGER() + 0x9 (ddb_dev)




End-trace


При запуске quartus_pgm вcе ок пока он работает в режиме поиска устройств.

CODE
/opt/altera/intelFPGA/16.1/qprogrammer/bin/quartus_pgm -l
Info: *******************************************************************
Info: Running Quartus Prime Programmer
Info: Version 16.1.0 Build 196 10/24/2016 SJ Standard Edition
Info: Copyright © 2016 Intel Corporation. All rights reserved.
Info: Your use of Intel Corporation's design tools, logic functions
Info: and other software and tools, and its AMPP partner logic
Info: functions, and any output files from any of the foregoing
Info: (including device programming or simulation files), and any
Info: associated documentation or information are expressly subject
Info: to the terms and conditions of the Intel Program License
Info: Subscription Agreement, the Intel Quartus Prime License Agreement,
Info: the Intel MegaCore Function License Agreement, or other
Info: applicable license agreement, including, without limitation,
Info: that your use is for the sole purpose of programming logic
Info: devices manufactured by Intel and sold by Intel or its
Info: authorized distributors. Please refer to the applicable
Info: agreement for further details.
Info: Processing started: Wed Dec 6 13:07:21 2017
Info: Command: quartus_pgm -l
1) USB-Blaster [1-7.3]
Info: Quartus Prime Programmer was successful. 0 errors, 0 warnings
Info: Peak virtual memory: 419 megabytes
Info: Processing ended: Wed Dec 6 13:07:21 2017
Info: Elapsed time: 00:00:00
Info: Total CPU time (on all processors): 00:00:00


CODE
/opt/altera/intelFPGA/16.1/qprogrammer/bin/quartus_pgm --cable=USB-Blaster -a
Info: *******************************************************************
Info: Running Quartus Prime Programmer
Info: Version 16.1.0 Build 196 10/24/2016 SJ Standard Edition
Info: Copyright © 2016 Intel Corporation. All rights reserved.
Info: Your use of Intel Corporation's design tools, logic functions
Info: and other software and tools, and its AMPP partner logic
Info: functions, and any output files from any of the foregoing
Info: (including device programming or simulation files), and any
Info: associated documentation or information are expressly subject
Info: to the terms and conditions of the Intel Program License
Info: Subscription Agreement, the Intel Quartus Prime License Agreement,
Info: the Intel MegaCore Function License Agreement, or other
Info: applicable license agreement, including, without limitation,
Info: that your use is for the sole purpose of programming logic
Info: devices manufactured by Intel and sold by Intel or its
Info: authorized distributors. Please refer to the applicable
Info: agreement for further details.
Info: Processing started: Wed Dec 6 13:07:57 2017
Info: Command: quartus_pgm --cable=USB-Blaster -a
Info (213045): Using programming cable "USB-Blaster [1-7.3]"
1) USB-Blaster [1-7.3]
0100A0DD EPC(16|4|8|E16|E4|E8)

Info: Quartus Prime Programmer was successful. 0 errors, 0 warnings
Info: Peak virtual memory: 419 megabytes
Info: Processing ended: Wed Dec 6 13:07:57 2017
Info: Elapsed time: 00:00:00
Info: Total CPU time (on all processors): 00:00:00


При попытке что-то зашить.

CODE
/opt/altera/intelFPGA/16.1/qprogrammer/bin/quartus_pgm --cable=USB-Blaster --mode=JTAG --operation="pv;test.pof"

*** Fatal Error: Illegal Instruction
Module: quartus_pgm
Stack Trace:
0xca9d8: std::vector<DEV_PART_DESC*, std::allocator<DEV_PART_DESC*> >::_M_fill_insert(__gnu_cxx::__normal_iterator<DEV_PART_DESC**, std::vector<DEV_PART_DESC*, std::allocator<DEV_PART_DESC*> > >, unsigned long, DEV_PART_DESC* const&) + 0x148 (ddb_dev)
0xf08a2: DEV_FAMILY_INFO_MGR_BODY::DEV_FAMILY_INFO_MGR_BODY() + 0x1e2 (ddb_dev)
0xca3d1: DEV_FAMILY_INFO_MGR_BODY::get_instance() + 0x21 (ddb_dev)
0xc2a79: DEV_PART_MANAGER::DEV_PART_MANAGER() + 0x9 (ddb_dev)
0x28695d: PGM_CHAIN_ELEMENT::create_chain_element(PGM_CHAIN_ELEMENT*, bool, FIO_PATH*, bool, PGMIO_CONFIG_SCHEME, bool) + 0xc1d (pgm_pgmio)
0x2327f: PGME_PROGRAMMER::lookup_device(PGM_CHAIN_ELEMENT*, PGMIO_CONFIG_SCHEME, bool, bool) + 0x21 (pgm_pgme)
0x2121b: QPGM_FRAMEWORK::create_element(std::string, std::string, unsigned int, unsigned int) + 0x5fb (quartus_pgm)
0x23ab1: QPGM_FRAMEWORK::process_operation(std::string*) + 0x1e93 (quartus_pgm)
0x24bfe: QPGM_FRAMEWORK::post_check_arguments() + 0x2d6 (quartus_pgm)
0x1c08f: qexe_standard_main(QEXE_FRAMEWORK*, QEXE_OPTION_DEFINITION const**, int, char const**) + 0x1bc (comp_qexe)
0x1fccc: qpgm_main(int, char const**) + 0x5e (quartus_pgm)
0x407e0: msg_main_thread(void*) + 0x10 (ccl_msg)
0x602c: thr_final_wrapper + 0xc (ccl_thr)
0x4089f: msg_thread_wrapper(void* (*)(void*), void*) + 0x62 (ccl_msg)
0xa559: mem_thread_wrapper(void* (*)(void*), void*) + 0x99 (ccl_mem)
0x8f92: err_thread_wrapper(void* (*)(void*), void*) + 0x27 (ccl_err)
0x63f2: thr_thread_wrapper + 0x15 (ccl_thr)
0x42c37: msg_exe_main(int, char const**, int (*)(int, char const**)) + 0xa3 (ccl_msg)
0x1fd56: main + 0x26 (quartus_pgm)
0x20830: __libc_start_main + 0xf0 (c.so.6)


End-trace


Я нагуглил похожую проблему у другого человека, но он ставил квартус, а не стэндалон, и он написал, что у него все решилось откатом к 15.1 версии квартуса. Но у меня с ней возникают те же проблемы с иллегал инструкциями.
Программатор работает, из винды все прошивается.
Прошивка собрана квартусом 9.1.
Проверить квартусом пока не смог, потому что jtagconfig квартуса 9.1 не видит программатор (подозреваю, что я там что-то недонастроил, но пока не могу понять, что именно).
Кто-нибудь сталкивался с подобными проблемами, и если да, то как решили?
Заранее спасибо за помощь.


--------------------
SystemVerilog - язык, заточенный Альтерой под свои кристаллы теми же приемами использования примитивов, что и AHDL. ©
Go to the top of the page
 
+Quote Post
Ethereal
сообщение Dec 6 2017, 11:52
Сообщение #13


Частый гость
**

Группа: Свой
Сообщений: 114
Регистрация: 7-05-08
Из: РФ, Москва
Пользователь №: 37 354



Update:
Квартус 9.1 прошивает с jtagd от SAP 16.1.


--------------------
SystemVerilog - язык, заточенный Альтерой под свои кристаллы теми же приемами использования примитивов, что и AHDL. ©
Go to the top of the page
 
+Quote Post
Stewart Little
сообщение Dec 6 2017, 12:05
Сообщение #14


Лентяй
******

Группа: Свой
Сообщений: 2 143
Регистрация: 11-10-04
Из: Санкт-Петербург
Пользователь №: 843



Цитата(Ethereal @ Dec 6 2017, 14:52) *
Update:
Квартус 9.1 прошивает с jtagd от SAP 16.1.

А на рулезы можно взглянуть?
Что-то мне смутно припоминается, что там была какая-то особенность - правила нужно прописывать то ли через BUS и SYSFS, то ли через SUBSYSTEM и ATTRS.
Попробуйте и так и так:

Цитата
# USB-Blaster
BUS=="usb", SYSFS{idVendor}=="09fb", SYSFS{idProduct}=="6001", MODE="0666"


Цитата
# USB-Blaster
SUBSYSTEM=="usb", ATTRS{idVendor}=="09fb", ATTRS{idProduct}=="6001", MODE="0666", ACTION=="add|change", TAG+="uaccess"


--------------------
Чтобы слова не расходились с делом, нужно молчать и ничего не делать...
Go to the top of the page
 
+Quote Post
Ethereal
сообщение Dec 6 2017, 12:47
Сообщение #15


Частый гость
**

Группа: Свой
Сообщений: 114
Регистрация: 7-05-08
Из: РФ, Москва
Пользователь №: 37 354



Цитата(Stewart Little @ Dec 6 2017, 15:05) *
А на рулезы можно взглянуть?
Что-то мне смутно припоминается, что там была какая-то особенность - правила нужно прописывать то ли через BUS и SYSFS, то ли через SUBSYSTEM и ATTRS.
Попробуйте и так и так:

CODE
SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", ATTR{idVendor}=="09fb", ATTR{idProduct}="6001", MODE="0666", NAME="bus/usb/$env{BUSNUM}/$env{DEVNUM}", SYMLINK+="usbblaster", GROUP="usbblaster", RUN+="/bin/chmod 0666 %c"
SUBSYSTEM=="usb", ATTR{idVendor}=="09fb", ATTR{idProduct}="6002", MODE="0666", SYMLINK+="usbblaster", GROUP="usbblaster"
SUBSYSTEM=="usb", ATTR{idVendor}=="09fb", ATTR{idProduct}="6003", MODE="0666", SYMLINK+="usbblaster", GROUP="usbblaster"
SUBSYSTEM=="usb", ATTR{idVendor}=="09fb", ATTR{idProduct}="6010", MODE="0666", SYMLINK+="usbblaster", GROUP="usbblaster"
SUBSYSTEM=="usb", ATTR{idVendor}=="09fb", ATTR{idProduct}="6810", MODE="0666", SYMLINK+="usbblaster", GROUP="usbblaster"


Тот, которым я пользуюсь, 6001.

Цитата(Stewart Little @ Dec 6 2017, 15:05) *
Попробуйте и так и так:

Попробовал. Так как появились сомнения для чего это было, то отвечу сразу несколькими тестами.

1.
quartus_pgm из SAP 16.1 продолжает падать.
Дополнительно проверил. Он падает в том числе, если к программатору подключена ПЛИС, а я пытаюсь влить туда pof для EPC.

2.
При использовании jtagd Q 9.1 quartus_pgm 9.1 продолжает не видеть устройство.

CODE
sudo /opt/altera/9.1/quartus/quartus/bin/jtagd --debug --foreground
rpm: Command not found.
JTAG daemon started
Using config file /etc/jtagd/jtagd.conf
Remote JTAG permitted when password set
USB-Blaster bulk queueing implied, async mode


CODE
/opt/altera/9.1/quartus/quartus/bin/jtagconfig
rpm: Command not found.
No JTAG hardware available


3.
При использовании jtagd SAP 16.1 и quartus_pgm 9.1

CODE
sudo /opt/altera/intelFPGA/16.1/qprogrammer/bin/jtagd --foreground --debug
JTAG daemon started
Using config file /etc/jtagd/jtagd.conf
Remote JTAG permitted when password set
USB-Blaster "USB-Blaster" firmware version 4.00
USB-Blaster endpoints out=02(64), in=81(64); urb size=1024
USB-Blaster added "USB-Blaster [1-7.3]"
USB-Blaster port (/dev/bus/usb/001/003) opened
USB-Blaster "USB-Blaster" firmware version 4.00
USB-Blaster endpoints out=02(64), in=81(64); urb size=1024
USB-Blaster reports JTAG protocol version 0, using version 0
USB-Blaster closed


CODE
/opt/altera/9.1/quartus/quartus/bin/jtagconfig
rpm: Command not found.
1) USB-Blaster [1-7.3]
120930DD EP2S60


CODE
/opt/altera/9.1/quartus/quartus/bin/quartus_pgm --cable=USB-Blaster --mode=JTAG --operation="pv;test.pof"
rpm: Command not found.
Info: *******************************************************************
Info: Running Quartus II Programmer
Info: Version 9.1 Build 350 03/24/2010 Service Pack 2 SJ Full Version
Info: Copyright © 1991-2010 Altera Corporation. All rights reserved.
Info: Your use of Altera Corporation's design tools, logic functions
Info: and other software and tools, and its AMPP partner logic
Info: functions, and any output files from any of the foregoing
Info: (including device programming or simulation files), and any
Info: associated documentation or information are expressly subject
Info: to the terms and conditions of the Altera Program License
Info: Subscription Agreement, Altera MegaCore Function License
Info: Agreement, or other applicable license agreement, including,
Info: without limitation, that your use is for the sole purpose of
Info: programming logic devices manufactured by Altera and sold by
Info: Altera or its authorized distributors. Please refer to the
Info: applicable agreement for further details.
Info: Processing started: Wed Dec 6 15:44:56 2017
Info: Command: quartus_pgm --cable=USB-Blaster --mode=JTAG --operation=pv;test.pof
Info: Using programming cable "USB-Blaster [1-7.3]"
Info: Started Programmer operation at Wed Dec 6 15:44:57 2017
Error: Can't configure device. Expected JTAG ID code 0x0100A0DD for device 1, but found JTAG ID code 0x120930DD.
Error: Operation failed
Info: Ended Programmer operation at Wed Dec 6 15:44:57 2017
Error: Quartus II Programmer was unsuccessful. 2 errors, 0 warnings
Error: Peak virtual memory: 69 megabytes
Error: Processing ended: Wed Dec 6 15:44:57 2017
Error: Elapsed time: 00:00:01
Error: Total CPU time (on all processors): 00:00:00


--------------------
SystemVerilog - язык, заточенный Альтерой под свои кристаллы теми же приемами использования примитивов, что и AHDL. ©
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

 


RSS Текстовая версия Сейчас: 13th December 2017 - 22:42
Рейтинг@Mail.ru


Страница сгенерированна за 0.01357 секунд с 7
ELECTRONIX ©2004-2016